## igdiscover 0.11

=== doc/Makefile ===
all:
	sphinx-build -W -b html -d _build/doctrees  . _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

=== debian/changelog ===
igdiscover (0.11-3) unstable; urgency=medium

  * Team upload.
  * Mark build time test dependencies with <!nocheck>
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Fri, 06 Sep 2019 08:47:58 +0200

igdiscover (0.11-2) unstable; urgency=medium

  * Introduced patch for compatibility with later versions
    of cutadapt - upstream has it already in their master branch.

 -- Steffen Moeller <moeller@debian.org>  Fri, 02 Aug 2019 00:55:02 +0200

igdiscover (0.11-1) unstable; urgency=medium

  * Initial release (Closes: #919718)

 -- Steffen Moeller <moeller@debian.org>  Tue, 22 Jan 2019 16:49:23 +0100

=== debian/control ===
Source: igdiscover
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: science
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sqt,
               python3-pandas (>=0.16.2),
               python3-numpy,
               python3-matplotlib (>=1.5.0),
               python3-cutadapt,
               python3-scipy (>=0.16.1),
               python3-xopen (>=0.3.2),
               python3-ruamel.yaml,
               python3-pytest <!nocheck>,
               snakemake <!nocheck>,
# python3-contextlib2,
# Documentation
               python3-sphinx
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/med-team/igdiscover
Vcs-Git: https://salsa.debian.org/med-team/igdiscover.git
Homepage: http://docs.igdiscover.se/en/stable/

Package: igdiscover
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-sqt,
         python3-pandas (>=0.16.2),
         python3-numpy,
         python3-matplotlib (>=1.5.0),
         python3-cutadapt,
         python3-scipy (>=0.16.1),
         python3-xopen (>=0.3.2),
         python3-seaborn (>=0.9),
         python3-ruamel.yaml
Suggests: snakemake,
          igdiscover-doc
Description: analyzes antibody repertoires to find new V genes
 IgDiscover analyzes antibody repertoires and discovers new V genes from
 high-throughput sequencing reads. Heavy chains, kappa and lambda light
 chains are supported (to discover VH, VK and VL genes).

Package: igdiscover-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: analyzes antibody repertoires to find new V genes - doc
 IgDiscover analyzes antibody repertoires and discovers new V genes from
 high-throughput sequencing reads. Heavy chains, kappa and lambda light
 chains are supported (to discover VH, VK and VL genes).
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export PYBUILD_NAME=igdiscover

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ build/html # HTML generator
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman  doc/ build/man # Manpage generator

override_dh_install:
	mv $(CURDIR)/debian/python3-igdiscover/usr/bin/* $(CURDIR)/debian/igdiscover/usr/bin/


override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pytest_cache debian/python3-igdiscover

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%igdiscover-$1.tar.gz%" \
   https://github.com/NBISweden/IgDiscover/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
